Summary: Compatibility version of Qt Assistant
Name:    qt-assistant-adp
Epoch:   4
Version: 4.6.3
Release: %mkrel 13
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Group: System/Libraries
Url: http://qt.nokia.com/doc/4.6/qassistantclient.html
Source: ftp://ftp.qt.nokia.com/qt/source/qt-assistant-qassistantclient-library-compat-src-%{version}.tar.gz
# missing header files from Debian (Fathi Boudra)
Source1: QAssistantClient
Source2: QtAssistant
# build fixes from Debian (Fathi Boudra)
Patch1: 01_build_system.diff

BuildRequires: qt4-devel >= 4:4.7.0
Conflicts: qt4-assistant < 4:4.6.3

%description
The old version of Qt Assistant, based on Assistant Document Profile (.adp)
files, and the associated QtAssistantClient library, for compatibility with
applications providing help in that format.

New applications should use the new version of Qt Assistant introduced in Qt
4.4, based on the Qt Help Framework also introduced in Qt 4.4, instead.

%files
%doc LGPL_EXCEPTION.txt LICENSE.LGPL LICENSE.GPL3
%{_bindir}/assistant_adp
%{_qt4_datadir}/translations/*
%{_qt4_bindir}/assistant_adp

#-------------------------------------------------------------------------

%define libqassistant_major 4
%define libqassistant %mklibname qassistant %{libqassistant_major}
%package -n %{libqassistant}
Summary: QT assistant lib
Group: System/Libraries
Provides: qassistantlib = %epoch:%version
Obsoletes: %{_lib}qassistant1 < 2:4.3.4-4

%description -n %{libqassistant}
QT assistant lib.

%files -n %{libqassistant}
%{_qt4_libdir}/libQtAssistantClient.so.%{libqassistant_major}*

#--------------------------------------------------------------------------

%package devel
Summary: Development files for the compatibility QAssistantClient
Group: Development/KDE and Qt
Requires: %{libqassistant} = %{epoch}:%{version}-%{release}
Requires: qt4-devel >= 4:4.7.0
Conflicts: qt4-devel < 4:4.7.0

%description devel
This package contains the files necessary to build applications using the
deprecated QAssistantClient class (in the deprecated QtAssistantClient library),
which is used together with the legacy Assistant Document Profile (.adp) version
of Qt Assistant.

This class is obsolete. It is provided to keep old source code working. We
strongly advise against using it in new code. New code should use the Qt Help
Framework introduced in Qt 4.4 and/or the version of Qt Assistant based on it
(also introduced in Qt 4.4) instead.

%files devel
%{_qt4_includedir}/QtAssistant/
%{_qt4_libdir}/libQtAssistantClient.so
%{_qt4_libdir}/libQtAssistantClient_debug.so
%{_qt4_libdir}/libQtAssistantClient.prl
%{_libdir}/pkgconfig/QtAssistantClient.pc
%{_qt4_datadir}/mkspecs/features/assistant.prf

#-------------------------------------------------------------------------------

%prep
%setup -q -n qt-assistant-qassistantclient-library-compat-version-%{version}
%patch -P 1 -p1 -b .build_system
mkdir include
cp -p %{SOURCE1} %{SOURCE2} include/

%build
# build assistant_adp
%qmake_qt4 QT_PRODUCT=OpenSource
%make_build

# build libQtAssistantClient
pushd lib
%qmake_qt4 CONFIG=create_prl
%make_build
popd

# build assistant_adp translations
pushd translations
lrelease assistant_adp_*.ts
popd

%install
# install assistant_adp
make install INSTALL_ROOT=%{buildroot}

# install libQtAssistantClient
make install INSTALL_ROOT=%{buildroot} -C lib

# install assistant_adp translations
mkdir -p %{buildroot}%{_qt4_datadir}/translations
install -p -m644 translations/assistant_adp_*.qm \
                 %{buildroot}%{_qt4_datadir}/translations

# install assistant.prf mkspec
install -D -p -m644 features/assistant.prf \
                    %{buildroot}%{_qt4_datadir}/mkspecs/features/assistant.prf

# install missing headers (thanks to Fathi Boudra from Debian)
install -p -m644 include/Q* %{buildroot}%{_qt4_includedir}/QtAssistant/

# nuke dangling reference(s) to the buildroot
sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" %{buildroot}%{_qt4_libdir}/*.prl

# let rpm handle binaries conflicts
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt4_bindir}
mv assistant_adp ../../../bin/
ln -s ../../../bin/assistant_adp .
popd

# _debug target (see bug #196513)
pushd %{buildroot}%{_qt4_libdir}
echo "INPUT(-lQtAssistantClient)" >libQtAssistantClient_debug.so
popd

# Note that we intentionally DO NOT install a .desktop file for assistant_adp
# because it makes no sense to invoke it without a specific .adp file to open.
# By default, it views the Qt documentation, for which we already have a menu
# entry using the current version of the Qt Assistant, and there is no UI for
# viewing anything different. The .adp file needs to be passed on the command
# line, which is usually done by the application.



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 4:4.6.3-13.mga10
+ Revision: 2232323
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 4:4.6.3-12.mga10
+ Revision: 2128107
- Rebuild for patchN deprecation

* Sun Apr 03 2022 umeabot <umeabot> 4:4.6.3-11.mga9
+ Revision: 1841286
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4:4.6.3-10.mga8
+ Revision: 1516249
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4:4.6.3-9.mga7
+ Revision: 1300691
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 4:4.6.3-8.mga6
+ Revision: 929868
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4:4.6.3-7.mga5
+ Revision: 739885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:4.6.3-6.mga5
+ Revision: 688519
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4:4.6.3-5.mga4
+ Revision: 517881
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4:4.6.3-4.mga3
+ Revision: 379915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 27 2011 dmorgan <dmorgan> 4:4.6.3-3.mga2
+ Revision: 187984
- Use new qt4 macros
- Rebuild against new qt4 and new include path

* Thu Jan 13 2011 mikala <mikala> 4:4.6.3-2.mga1
+ Revision: 13842
- imported package qt-assistant-adp


* Thu Jan 13 2011 John Balcaen <balcaen.john@gmail.com> 4:4.6.3-2mga1
- Adapt spec to mageia kde's spec layout.

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 4:4.6.3-1mdv2011.0
+ Revision: 563937
- minor cleanup of spec file
- import qt-assistant-adp


